//+------------------------------------------------------------------+
//|                                            Demo_CAccountInfo.mq5 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"

#include <Trade\AccountInfo.mqh>
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---     
   CAccountInfo account;
//---   ,    
   long login=account.Login();
   Print("Login=",login);
//---   
   ENUM_ACCOUNT_TRADE_MODE account_type=account.TradeMode();
//---    ,    !
   if(account_type==ACCOUNT_TRADE_MODE_REAL)
     {
      MessageBox("    , ","    !");
      return(-1);
     }
//---       
   Print(" : ",EnumToString(account_type));
//--- ,       
   if(account.TradeAllowed())
      Print("    ");
   else
      Print("   : ,     -");
//--- ,        
   if(account.TradeExpert())
      Print("    ");
   else
      Print("       ");
//---      
   int orders_limit=account.LimitOrders();
   if(orders_limit!=0)Print("     : ",orders_limit);
//---     
   Print(account.Company(),": server ",account.Server());
//---        
   Print("Balance=",account.Balance(),"  Profit=",account.Profit(),"   Equity=",account.Equity());
//---  
   Print(__FUNCTION__,"  completed");
//---
   return(0);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---

  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---

  }
//+------------------------------------------------------------------+
